{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine end_dialog\r\ndeclare function msg\r\n$insert msg_equates\r\n\r\nOperator = .operator->text\r\nCompVal  = trim( .compval->text )\r\nif CompVal <> '' then\r\n    if Operator then\r\n        end_dialog( @window, Operator:' ':CompVal )    \r\n    end else\r\n        MsgInfo = ''\r\n        MsgInfo<mtext$> = 'You must have an operator if you have a comparison value.'\r\n        MsgInfo<micon$> = '!'\r\n        Void = msg( '', MsgInfo )\r\n    end\r\nend else\r\n    if Operator then\r\n\t    MsgInfo = ''\r\n\t    MsgInfo<mtext$> = 'You must have a comparison value if you have an operator.'\r\n\t    MsgInfo<micon$> = '!'\r\n\t    Void = msg( '', MsgInfo )\r\n\tend else\r\n\t    end_dialog( @window, '' ) ;* wants to wipe out\r\n\tend\r\nend\r\nRETURN 0"
        }
    }
}